Package ru.bitel.bgbilling.common.bean

# Class BGAbstarctTransactionBuilder<B,T extends BGAbstractTransaction>

java.lang.Object
ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder<B,T>

Direct Known Subclasses:
  `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`, `Transaction.Builder`

public abstract class BGAbstarctTransactionBuilder<B,T extends BGAbstractTransaction> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected B`
  `builder`
  `protected T`
  `transaction`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BGAbstarctTransactionBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `build()`
  `B`
  `setAutopayment(boolean autopayment)`
  `B`
  `setContractComment(String contractComment)`
  `B`
  `setContractId(int contractId)`
  `B`
  `setContractTitle(String contractTitle)`
  `B`
  `setCreateDate(Date createDate)`
  `B`
  `setId(int id)`
  `B`
  `setParameters(String parameters)`
  `B`
  `setPaymentId(int paymentId)`
  `B`
  `setStatus(String status)`
  `B`
  `setSum(BigDecimal sum)`
  `B`
  `setTransactionDate(Date transactionDate)`
  `B`
  `setTransactionId(String transactionId)`
  `B`
  `setTransactionType(BGTransactionType transactionType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### transaction

    protected T extends BGAbstractTransaction transaction

  - ### builder

    protected B builder

- ## Constructor Details

  - ### BGAbstarctTransactionBuilder

    protected BGAbstarctTransactionBuilder()

- ## Method Details

  - ### setId

    public B setId(int id)

  - ### setContractId

    public B setContractId(int contractId)

  - ### setContractTitle

    public B setContractTitle(String contractTitle)

  - ### setSum

    public B setSum(BigDecimal sum)

  - ### setCreateDate

    public B setCreateDate(Date createDate)

  - ### setTransactionDate

    public B setTransactionDate(Date transactionDate)

  - ### setStatus

    public B setStatus(String status)

  - ### setTransactionId

    public B setTransactionId(String transactionId)

  - ### setAutopayment

    public B setAutopayment(boolean autopayment)

  - ### setPaymentId

    public B setPaymentId(int paymentId)

  - ### setParameters

    public B setParameters(String parameters)

  - ### setContractComment

    public B setContractComment(String contractComment)

  - ### setTransactionType

    public B setTransactionType(BGTransactionType transactionType)

  - ### build

    public T build()